Subject: bug#52126: Problematic characters in info node names

From: Kyle Meyer <[email-masked]>
Date: Mon, 29 Nov 2021 23:39:55 -0500

Lars Ingebrigtsen writes:

> Stefan Kangas <[email-masked]> writes:
>
>> ** Manuals
>> Check for node names using problematic characters:
>>   find doc -name '*.texi' -exec grep '^@node[^,]*[:.()]' {} +
>> Sadly makeinfo does not warn about such characters.
>>
>> Running that gives me some matches:
[...]
>> doc/misc/org.texi:@node Hooks (2)
>
> And in the Org manual, so I've added Kyle to the CCs, too.

Hmm, that "(2)" is being added by ox-texinfo.el's to make the node
unique.  As I mentioned in another message
(<[email-masked]>), I think these parentheses are probably
okay, even for older versions of Texinfo.

On the other hand, I have no objections to sidestepping the issue with
something like this:

diff --git a/doc/misc/org.org b/doc/misc/org.org
index 85117714ee9..adf24da1c3f 100644
--- a/doc/misc/org.org
+++ b/doc/misc/org.org
@@ -15571,7 +15571,7 @@ ** Advanced Export Configuration
 :DESCRIPTION: Fine-tuning the export output.
 :END:
 
-*** Hooks
+*** Export hooks
 :PROPERTIES:
 :UNNUMBERED: notoc
 :END:
@@ -18203,7 +18203,7 @@ *** Functions
   #+kindex: C-c C-v f
   Choose a file to tangle.  Bound to {{{kbd(C-c C-v f)}}}.
 
-*** Hooks
+*** Tangle hooks
 :PROPERTIES:
 :UNNUMBERED: notoc
 :END: